package com.zhongshu.card.server.core.dao.projectAbout;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.org.ProjectDict;
import com.zhongshu.card.server.core.domain.org.ProjectDictList;

import java.util.List;

/**
 * @author TRX
 * @date 2024/3/21
 */
public interface ProjectDictListDao extends MongoDao<ProjectDictList> {

    List<ProjectDictList> findByIdIn(List<String> ids);

    ProjectDictList findTopById(String id);

    List<ProjectDictList> findByProjectDictOrderBySortAsc(ProjectDict projectDict);

    void deleteByProjectDict(ProjectDict projectDict);
}
